Option Strict Off
Option Explicit On
Module Module6
    Private Declare Function ECF_VersaoDll Lib "CONVECF.DLL" (ByVal Versao As String) As Integer
    Private Declare Function ECF_VersaoFirmwareMFD Lib "CONVECF.DLL" (ByVal Firmware As String) As Integer
    Private Declare Function ECF_NumeroSerieMFD Lib "CONVECF.DLL" (ByVal NumSerie As String) As Integer
    Private Declare Function ECF_NumeroSerieMemoriaMFD Lib "CONVECF.DLL" (ByVal NumeroSerieMFD As String) As Integer

    Function VersaoDll() As Object
        Dim retorno As Object
        Dim Versao As String

        Versao = Space(9)

        retorno = ECF_VersaoDll(Versao)


        MsgBox(" 'Versão da Dll' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Versão da dll: " & Versao)

    End Function

    Function VersaoFirmwareMFD() As Object
        Dim retorno As Object


        Dim Firmware As String
        Dim I As Integer
        I = 1
        Firmware = Space(6)

        retorno = ECF_VersaoFirmwareMFD(Firmware)


        MsgBox(" 'Versão do Firmware' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Versão do Firmware: " & Firmware)

    End Function
	
	Function NumSerieMFD() As Object
		Dim retorno As Object
		Dim NumSerie As String
		
		NumSerie = Space(20)
        retorno = ECF_NumeroSerieMFD(NumSerie)
        MsgBox(" 'Nº de Série' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº de Série: " & NumSerie)
	End Function
	
	Function SerieMemoriaMFD() As Object
		Dim retorno As Object
		Dim NumeroSerieMFD As String
		
        MsgBox("Função utilizada somente nas Impressoras Térmicas", MsgBoxStyle.Information)

        NumeroSerieMFD = Space(20)
        retorno = ECF_NumeroSerieMemoriaMFD(NumeroSerieMFD)
        MsgBox(" 'Nº de Série - MFD' " & vbCrLf & "Status: " & retorno)
		Form1.List1.Items.Add("Nº de Série: " & NumeroSerieMFD)
	End Function
End Module